Skip to content

Re-index given 'kind'

Request

This API allows users to re-index a 'kind' without re-ingesting the records via storage API. Required roles: users.datalake.admins

Security
bearer
Query
force_cleanboolean

force_clean

Default:false
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/jsonrequired

recordReindexRequest

cursorstring
kindstring
curl -i -X POST \
  'https://as5.api.enterprisedata.slb.com/api/indexer/v2/reindex?force_clean=false' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "cursor": "string",
    "kind": "string"
  }'

Responses

OK

Response
No content